<?php

/**
 * @license LGPLv3, http://opensource.org/licenses/LGPL-3.0
 * @copyright Aimeos (aimeos.org), 2015
 * @package MShop
 * @subpackage Common
 */


/**
 * Common interface for items having types.
 *
 * @package MShop
 * @subpackage Common
 */
interface MShop_Common_Item_Time_Interface
{
	/**
	 * Returns the date/time, the availability of the item will start
	 *
	 * @return string|null ISO date in "YYYY-MM-DD hh:mm:ss" format or null for no date
	 */
	public function getDateStart();


	/**
	 * Sets the date/time, the availability of the item will start
	 *
	 * @return string|null ISO date in "YYYY-MM-DD hh:mm:ss" format or null for no date
	 */
	public function setDateStart( $date );


	/**
	 * Returns the date/time, the availability of the item will end
	 *
	 * @return string|null ISO date in "YYYY-MM-DD hh:mm:ss" format or null for no date
	 */
	public function getDateEnd();


	/**
	 * Sets the date/time, the availability of the item will end
	 *
	 * @return string|null ISO date in "YYYY-MM-DD hh:mm:ss" format or null for no date
	 */
	public function setDateEnd( $date );
}
